Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

com.sonoma
Class SiteContent  view SiteContent download SiteContent.java

java.lang.Object
  extended bycom.sonoma.SiteContent

public class SiteContent
extends java.lang.Object

Creates DocBook Paragraph of nodes (item nodes) and attributes. Also used to create new postings (DocBook Articles) Other classes and JSP pages use this object instead of Xerces or XML. SiteContent.java

Version:
1.1 04/7/2002

Field Summary
private  org.w3c.dom.Node xmlNode
           
 
Constructor Summary
SiteContent()
           
 
Method Summary
 boolean addAuthorInfo()
          Not yet implemented or used
 boolean addLongArticle(org.w3c.dom.Document doc, com.sonoma.objects.dbNewArticle art)
          Creates a new article (posting) xml file.
 org.w3c.dom.Node addParagraph(org.w3c.dom.Document doc, java.lang.String sSection, int iPara, com.sonoma.objects.spParagraph para)
          Adds a new paragraph Before the specified paragraph number
 org.w3c.dom.Node addTitle(org.w3c.dom.Document doc, java.lang.String sSection, int iPara, java.lang.String title)
          Adds a Title element to the chapter or article.
 java.lang.String createXPath(int iPara, java.lang.String sSection, boolean isText)
          Creates XPath Query based on request parameters, usually from JSP pages.
 boolean deleteParagraph(org.w3c.dom.Document doc, int iPara, java.lang.String section)
          Deprecated.
 boolean deleteParagraph(org.w3c.dom.Document doc, java.lang.String sSection, int iPara)
          Deletes paragraphs title, anything at the section level
 boolean moveParagraph(org.w3c.dom.Document doc, java.lang.String sSection, int iPara, int iNewPosition)
          Copies a paragraph node to a new position then deletes it
private  org.w3c.dom.Node processParagraph(org.w3c.dom.Document doc, XMLUtility myXML, org.w3c.dom.Node nd, com.sonoma.objects.spParagraph oPara)
          Creates a new paragraph element and sub elements (only inlinemediaobject and ulinks are currently supported
private  boolean saveDoc()
          Deprecated Not supported
 org.w3c.dom.Node updateParagraph(org.w3c.dom.Document doc, java.lang.String sSection, int iPara, com.sonoma.objects.spParagraph para)
          Updates the Node of a paragraph for DocBooks and DocBook Articles.
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

xmlNode

private org.w3c.dom.Node xmlNode
Constructor Detail

SiteContent

public SiteContent()
Method Detail

saveDoc

private boolean saveDoc()
Deprecated Not supported


createXPath

public java.lang.String createXPath(int iPara,
                                    java.lang.String sSection,
                                    boolean isText)
Creates XPath Query based on request parameters, usually from JSP pages.


addTitle

public final org.w3c.dom.Node addTitle(org.w3c.dom.Document doc,
                                       java.lang.String sSection,
                                       int iPara,
                                       java.lang.String title)
Adds a Title element to the chapter or article. Maybe this should be citetitle?


deleteParagraph

public final boolean deleteParagraph(org.w3c.dom.Document doc,
                                     java.lang.String sSection,
                                     int iPara)
Deletes paragraphs title, anything at the section level


moveParagraph

public final boolean moveParagraph(org.w3c.dom.Document doc,
                                   java.lang.String sSection,
                                   int iPara,
                                   int iNewPosition)
Copies a paragraph node to a new position then deletes it


updateParagraph

public org.w3c.dom.Node updateParagraph(org.w3c.dom.Document doc,
                                        java.lang.String sSection,
                                        int iPara,
                                        com.sonoma.objects.spParagraph para)
Updates the Node of a paragraph for DocBooks and DocBook Articles. Actually deleting the old paragraph, processing and adding a new paragraph in its place


addParagraph

public org.w3c.dom.Node addParagraph(org.w3c.dom.Document doc,
                                     java.lang.String sSection,
                                     int iPara,
                                     com.sonoma.objects.spParagraph para)
Adds a new paragraph Before the specified paragraph number


addAuthorInfo

public boolean addAuthorInfo()
Not yet implemented or used


addLongArticle

public boolean addLongArticle(org.w3c.dom.Document doc,
                              com.sonoma.objects.dbNewArticle art)
Creates a new article (posting) xml file. A line break starts a new paragrph


processParagraph

private org.w3c.dom.Node processParagraph(org.w3c.dom.Document doc,
                                          XMLUtility myXML,
                                          org.w3c.dom.Node nd,
                                          com.sonoma.objects.spParagraph oPara)
Creates a new paragraph element and sub elements (only inlinemediaobject and ulinks are currently supported


deleteParagraph

public boolean deleteParagraph(org.w3c.dom.Document doc,
                               int iPara,
                               java.lang.String section)
Deprecated. Not used or supported